using KarleyLibrary.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Models
{
    public class Provision
    {
        private string _belegtyp = String.Empty;
        private string _kundenname = String.Empty;

        [CompareField("VERT_N_NR")]
        public int VertreterId { get; set; }

        [CompareField("VERT_N_PROVISION")]
        public decimal ProvisionsSatz { get; set; }

        [CompareField("BELE_D_DATE")]
        public DateTime Belegdatum { get; set; }
        [CompareField("BELE_N_NETTO")]
        public decimal Netto { get; set; }
        [CompareField("BELE_A_TYP")]
        public string Belegtyp { get => _belegtyp; set => _belegtyp = value ?? String.Empty; }
        [CompareField("BELE_N_NR")]
        public int Belegnummer { get; set; }
        [CompareField("BELE_A_NAME1")]
        public string Kundenname { get => _kundenname; set => _kundenname = value ?? string.Empty; }
        [CompareField("BPOS_N_POS")]
        public int PosNummer { get; set; }

    }
}
